Name:          system-switch-java
Version:       1.1.6
Release:       %mkrel 2
Summary:       A tool for changing the default Java toolset
Group:         System/Configuration
License:       GPLv2+ and BSD
Url:           https://pagure.io/system-switch-java
Source0:       https://releases.pagure.org/system-switch-java/%{name}-%{version}.tar.xz
Patch0:        jdk9Support.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: newt
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: python-devel
Requires:      chkconfig
Requires:      libglade2.0
Requires:      python2-newt
Requires:      pygtk2
Requires:      pygtk2.0-libglade
Requires:      python
Requires:      libuser-python
Requires:      usermode
BuildArch:     noarch

%description
The system-switch-java package provides an easy-to-use tool to select
the default Java toolset for the system. 

%prep
%setup -q
%patch0 -p1

sed -i 's|Icon=system-switch-java.png|Icon=system-switch-java|' %{name}.desktop.in

%build
%configure2_5x
%make

%install
%make_install

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING COPYING.icon
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py*
%{_datadir}/%{name}/*.glade


%changelog
* Sun Jun 04 2017 ngompa <ngompa> 1.1.6-2.mga6
+ Revision: 1106673
- Fix URLs for package
- Fix newt requires (requires python2-newt)

* Tue May 10 2016 daviddavid <daviddavid> 1.1.6-1.mga6
+ Revision: 1012254
- updated to upstream release of 1.1.6
- added upsteam patch 107 for better jdk9 support

* Wed Feb 17 2016 umeabot <umeabot> 1.1.5-7.mga6
+ Revision: 963855
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.5-6.mga5
+ Revision: 748397
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.5-5.mga5
+ Revision: 689665
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.5-4.mga4
+ Revision: 521663
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.1.5-3.mga3
+ Revision: 391544
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 383973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 gil <gil> 1.1.5-1.mga2
+ Revision: 192390
- added more BR/R
- build fix
  fixed BR/R
- imported package system-switch-java

